.chat {
  position: fixed;
  bottom: -100%;
  right: rem(40);
  width: rem(335);
  box-shadow: 0px 12px 34px rgba(0, 0, 0, 0.25);
  opacity: 0;
  visibility: visible;

  // &::before {
  //   content: '';
  //   width: 32px;
  //   height: calc(100% - 50px);
  //   top: 50px;
  //   left: 0;

  //   background: linear-gradient(90deg, #F5F5F8 0%, rgba(255, 255, 255, 0) 100%);
  //   mix-blend-mode: darken;
  // }

  &__close {
    position: absolute;
    top: rem(0);
    left: rem(-38);
    width: rem(26);
    height: rem(26);
    background: $c-white;
    border: 1px solid $c-any;
    box-sizing: border-box;
    border-radius: 50%;

    i {
      width: rem(11);
      height: rem(1);
      border-radius: rem(4);
      @include full-abs();
      margin: auto;
      background: $c-any;
      transform: rotate(45deg);
      transition: background .3s ease;

      &:last-child {
        transform: rotate(-45deg);
      }
    }

    &:hover {
      cursor: pointer;
      background: $c-any;

      i {
        background: $c-white;
      }
    }
  }

  &__head {
    background: #EE656D;
    padding: rem(27) rem(16);
    display: flex;
    justify-content: flex-start;
    align-items: center;

    svg {
      margin-right: rem(20);
    }
  }

  &__mess {
    height: rem(400);
        overflow: auto;
    background: $c-white;
    padding: rem(27) rem(17);

    &-who   {
      p.txt-h6 {
        margin-bottom: rem(8);
      }
    }

    &-for-me {
      max-width: rem(268);
      padding: rem(10) rem(20);
      background: #F1F0F0;
      border-radius: rem(14);
      margin-bottom: rem(8);
    }

    &-me {
      max-width: rem(268);
      padding: rem(10) rem(20);
      background: rgba(238, 101, 109, 0.1);
      margin-left: auto;
      margin-right: 0;
      border-radius: rem(14);
      margin-bottom: rem(8);
    }
  }

  &__input {
    height: rem(78);
    border-top: 1px solid $c-any;
    position: relative;

    input {
      width: 100%;
      padding-left: rem(30);
      padding-right: rem(50);
      outline: none;
      box-shadow: none;
      height: 100%;
      border: none;
    }

    button {
      background: none;
      border: none;
      box-shadow: none;
      position: absolute;
      top: 0;
      bottom: 0;
      right: rem(20);
    }
  }
}